Loading...
Searching...
No Matches
apr_anylock_t::apr_anylock_u_t Union Reference

`#include <apr_anylock.h>`

## Data Fields

apr_proc_mutex_t * | pm
apr_thread_mutex_t * | tm
apr_thread_rwlock_t * | rw

## Detailed Description

Union of all possible APR locks

## Field Documentation

## pm

apr_proc_mutex_t* apr_anylock_t::apr_anylock_u_t::pm

Process mutex

## rw

apr_thread_rwlock_t* apr_anylock_t::apr_anylock_u_t::rw

Read-write lock

## tm

apr_thread_mutex_t* apr_anylock_t::apr_anylock_u_t::tm

Thread mutex

The documentation for this union was generated from the following file:

- apr_anylock.h